/* font */
@font-face {
    font-family: "noto-sans-kr";
    src: url("./font/NotoSansKR-VariableFont_wght.ttf");
}

/* general */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    /* color: #F6F2EE; */
    font-size: 16px;
    font-family: noto-sans-kr;
}

a {
    text-decoration: none;
    color: unset;
}

.con-wrap-row {
    display: flex;
}

.con-wrap-row-gap-3 {
    display: flex;
    gap: 12px;
}

.con-wrap-row-gap-6 {
    display: flex;
    gap: 24px;
}

div#full-screen {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    position: relative;
}

div#app-boundary {
    max-width: 600px;
    width: 100%;
    height: 800px;
    border-radius: 12px;

    display: flex;
    flex-direction: column;
}

.scaled-drop {
    animation-name: scaled-drop;
    animation-duration: 0.5s;
    animation-timing-function: cubic-bezier(.12,-0.05,.14,1.84);
}

.blur {
    animation-name: blur;
    animation-duration: 0.5s;
    /* animation-timing-function: cubic-bezier(.08,.34,.61,1.06); */
    animation-timing-function: cubic-bezier(.08,.34,.26,1.11);
}

@keyframes scaled-drop {
    from {
        transform: translateY(-100px);
        scale: 50%;
        opacity: 0%;
    }
    to {
        transform: translateY(0);
        scale: 100%;
        opacity: 100%;
    }
}

@keyframes blur {
    from {
        -webkit-filter: blur(50px);
        transform: translateY(-100px);
        scale: 110%;
        opacity: 0%;
    }
    to {
        -webkit-filter: blur(0);
        transform: translateY(0);
        scale: 100%;
        opacity: 100%;
    }
}


div#app-boundary header#header {
    background-color: black;
    padding: 48px 48px 24px;
    border-radius: 12px 12px 0 0;
    color: white;
}

div#app-boundary header#header h1 {
    font-size: 30px;
    font-weight: 900;
}

div#app-boundary header#header a {
    margin-top: 12px;
    display: block;
    width: fit-content;
    transition: color 0.05s;
}

/* div#app-boundary header#header a:hover { */
/* color: coral */
/* background-color: coral; */
/* } */

div#app-boundary main#main {
    /* background-color: chocolate; */
    /* margin: 0 48px; */
    padding: 48px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 24px;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-color: black transparent;
    /* scrollbar- */
}

div#app-boundary main#main section#study-section {
    /* border: 1px solid black; */
    /* padding: 8px 12px; */
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    gap: 24px;

}

div#app-boundary main#main section#study-section a {
    display: block;
    padding: 12px;
    border-radius: 12px;
    /* background-color: black; */
    /* color: white; */
    font-weight: 600;
}



div#app-boundary main#main section.day-section {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 8px 12px;
    border-radius: 12px;
    border: 1px solid #00000055;
}

div#app-boundary main#main section.day-section div.project-card {
    padding: 8px 12px;
    border-radius: 12px;
}

div#app-boundary main#main section#study-section a,
div#app-boundary main#main section.day-section div.project-card {
    border: 1px solid #00000055;
}

div#app-boundary main#main section#study-section a:hover,
div#app-boundary main#main section.day-section div.project-card:hover {
    border: 1px solid #000000;
    transition: border 0.05s;
}

div#app-boundary main#main section.day-section div.project-card a {
    display: block;
}

div#app-boundary footer#footer {
    background-color: black;
    padding: 24px 48px;
    display: flex;
    gap: 24px;
    border-radius: 0 0 12px 12px;
}

div#app-boundary footer#footer img {
    height: 30px;
}

@media screen and (max-width: 600px) {
    div#full-screen {
        align-items: start;
    }

    div#app-boundary {
        height: auto;
    }

    div#app-boundary header#header {
        border-radius: 0;
    }

    div#app-boundary footer#footer {
        border-radius: 0;
    }
}